---
title: MDN-related add-ons and plug-ins
slug: MDN/Tools/Add-ons_and_plug-ins
tags:
  - Landing
  - MDN Meta
  - Site-wide
  - Tools
---
<div>{{MDNSidebar}}</div><p><span class="seoSummary">Members of the MDN community have launched many fun and/or useful projects to create tools, add-ons, and utilities that make it easier to use MDN or to contribute to its content.</span></p>

<p>Here you'll find links to a number of these projects. Many of them are looking for more help getting them finished, too, so if you're a coder looking to help out, you may find an opportunity here!</p>

<div class="twocolumns">
<dl>
 <dt><a href="https://github.com/mdn/doc-linter-webextension">MDN doc tests add-on</a></dt>
 <dd>A Firefox add-on that creates a sidebar that appears while you're editing on MDN, providing some tools for testing and validating your content. It's a work in progress, and more tests are welcome!</dd>
 <dt><a href="https://github.com/npny/mdn-automatic-translation">MDN automatic translation</a></dt>
 <dd>Uses {{Glossary("Regular_expression")}}-based rules to automatically replace common terms with their translated forms.</dd>
 <dt><a href="https://addons.mozilla.org/en-US/firefox/addon/mdn-search/">MDN Search</a></dt>
 <dd>A <a href="/en-US/docs/Mozilla/Add-ons/WebExtensions">WebExtension</a> which adds the ability to quickly search MDN's reference material by typing <code>"mdn &lt;searchterm&gt;"</code> in your URL bar. Based on the built-in MDN search but with added logic to provide better results. Optimized for finding pages in the JavaScript and CSS references.</dd>
 <dt><a href="https://addons.mozilla.org/en-US/firefox/addon/mdn-interface-documentation-ge/">MDN Interface Documentation Generator</a></dt>
 <dd>This Firefox add-on helps to generate properly-formatted skeletons of references for XPCOM interfaces. It hasn't been updated in a while, so it doesn't always get the version compatibility information right, but it's still helpful in many cases. With some updating, it could become invaluable again.</dd>
 <dt><a href="https://github.com/a2sheppy/mdn-save-with-comment">Save with comment hotkey addon</a></dt>
 <dd>A Firefox add-on that lets you instantly scroll to and focus the Revision Comment field in the MDN editor; this makes it easier to add these helpful tidbits of information to your edits.</dd>
 <dt><a href="https://github.com/Elchi3/sublime-mdn">Sublime Text MDN search plug-in</a></dt>
 <dd>A Sublime Text plug-in that lets you quickly search MDN to get docs while you code.</dd>
 <dt><a href="https://addons.mozilla.org/en-US/firefox/addon/lazarus-form-recovery/?src=mdn">Lazarus</a></dt>
 <dd>A Firefox extension which automatically periodically saves all form data into local storage, to protect your entered data against crashes or other errors. This is very helpful when working on MDN, since it also saves the contents of the MDN editor, so you can get it back if something goes wrong before you can save your work.</dd>
</dl>
</div>
